<%
'This file is part of ProductCart, an ecommerce application developed and sold by Early Impact LLC. ProductCart, its source code, the ProductCart name and logo are property of Early Impact, LLC. Copyright 2001-2003. All rights reserved. You are not allowed to use, alter, distribute and/or resell any parts of ProductCart's source code without the written consent of Early Impact. To contact Early Impact, please visit www.earlyimpact.com.
%>
<% response.Buffer=true %>
<!--#include virtual="productcart/includes/storeconstants.asp"-->
<!--#include virtual="productcart/includes/opendb.asp"-->
<%
Dim strQ, intProductId, ConnTemp, strServerTransfer, strPrdDetails, strCatDetails, strOther404
'====================================
'== Set page location ===============
'====================================

strCatDetails = "viewCategories.asp"

'====================================
'== You should not have to edit		===
'== any code after this point			===
'====================================

' Name of product details page
strPrdDetails = "viewPrd.asp" ' Location of product details page

' Redirection to standard 404 error page is peformed by 404b.asp.
' Open and edit 404b.asp to change the name of the default 404 error page.
strOther404 = "404b.asp"

' Get the Page Name
strQ = Request.ServerVariables("QUERY_STRING")
'// Troubleshooting: show page address
'Response.write strQ
'Response.End()

' Find the Product ID
nIndex = InStrRev(strQ,"/")
If (nIndex>0) Then
	intProductId = Right(strQ,Len(strQ)-nIndex)
		nIndex2 = InStrRev(intProductId,"-",-1,1)
		If (nIndex2>0) Then
			intProductId = Right(intProductId,Len(intProductId)-nIndex2)
		end if
else
	Server.Transfer(strOther404)
End If
'// Troubleshooting: show Product ID
'Response.write intProductId & "<br>"
'Response.write strQ
'Response.End()

' Detect whether this is an htm page
If Instr(LCase(intProductId),".htm") = 0 Then
	Server.Transfer(strOther404)
End If

' Detect whether this is a product or a category link

If Instr(LCase(intProductId),"c") <> 0 Then
	' This is a category page
	
		intProductId=replace(intProductId,"c","")
		' Trim Off .htm from category ID
		If	((Mid(intProductId,Len(intProductId),1)="m") And _
			(Mid(intProductId,Len(intProductId)-1,1)="t") And _
			(Mid(intProductId,Len(intProductId)-2,1)="h") And _
			(Mid(intProductId,Len(intProductId)-3,1)=".")) Then
			intProductId = Left(intProductId,Len(intProductId)-4)
			if IsNull(intProductId) or trim(intProductId)="" then
				intProductId="NA"
			end if
		End If
		'// Troubleshooting: show Product ID
		'Response.write intProductId
		'Response.End()
		
		' Look Up the category Id In the Database
		if isNumeric(intProductid)=True then
				call openDb()
				query = "SELECT idCategory FROM categories WHERE idCategory = " & intProductId
				set rs = Server.CreateObject("ADODB.Recordset")
				Set rs = ConnTemp.Execute(query)
				If (Not rs.EOF) Then
					strServerTransfer = 1
					else
					strServerTransfer = 0
				End If
			else
			strServerTransfer = 0
		end if
		
		' Go to the new page
		If strServerTransfer = 1 then
			session("idCategoryRedirect") = intProductId
			Server.Transfer(strCatDetails)
			else
			Server.Transfer(strOther404)
		end if
	
else
	' This is a product page
		If Instr(LCase(intProductId),"p") <> 0 Then
			'This product is with a category
			strPrdCatArry=split(intProductId,"p")
			intTempCatId=strPrdCatArry(0)
			intProductId=strPrdCatArry(1)
			if IsNull(intProductId) or trim(intProductId)="" then
				intProductId="NA"
			end if
		end if
		' Trim Off .htm from Product ID
		If	((Mid(intProductId,Len(intProductId),1)="m") And _
			(Mid(intProductId,Len(intProductId)-1,1)="t") And _
			(Mid(intProductId,Len(intProductId)-2,1)="h") And _
			(Mid(intProductId,Len(intProductId)-3,1)=".")) Then
			intProductId = Left(intProductId,Len(intProductId)-4)
		End If
		'// Troubleshooting: show Product ID
		'Response.write intProductId
		'Response.End()
		
		' Look Up the Product Id In the Database
		if isNumeric(intProductid)=True then
				call openDb()
				query = "SELECT idProduct FROM products WHERE idProduct = " & intProductId
				set rs = Server.CreateObject("ADODB.Recordset")
				Set rs = ConnTemp.Execute(query)
				If (Not rs.EOF) Then
					strServerTransfer = 1
					else
					strServerTransfer = 0
				End If
			else
			strServerTransfer = 0
		end if
		
		' Go to the new page
		If strServerTransfer = 1 then
			session("idProductRedirect") = intProductId
			session("intTempCatId") = intTempCatId
			Server.Transfer(strPrdDetails)
			else
			Server.Transfer(strOther404)
		end if
		
end if ' End category vs product link
%>