<%
'This file is part of ProductCart, an ecommerce application developed and sold by Early Impact LLC. ProductCart, its source code, the ProductCart name and logo are property of Early Impact, LLC. Copyright 2001-2006. All rights reserved. You are not allowed to use, alter, distribute and/or resell any parts of ProductCart's source code without the written consent of Early Impact. To contact Early Impact, please visit www.earlyimpact.com.
%>
<% Response.CacheControl = "no-cache" %>
<% Response.AddHeader "Pragma", "no-cache" %> 
<% Response.Expires = -1 %>

<% response.Buffer=true %>
<!--#include file="../includes/settings.asp"-->
<!--#include file="../includes/storeconstants.asp"--> 
<!--#include file="../includes/ErrorHandler.asp"-->
<!--#include file="../includes/opendb.asp"-->
<!--#INCLUDE FILE="../includes/stringfunctions.asp"-->
<!--#include file="../includes/adovbs.inc"-->
<!--#include file="../includes/languages.asp"--> 
<!--#include file="../includes/currencyformatinc.asp"-->
<!--#include FILE="../includes/pcProductOptionsCode.asp"-->
<%Dim iAddDefaultPrice,	iAddDefaultWPrice%>
<!--#include file="pcCheckPricingCats.asp"-->
<%
'*******************************
' Page Name
'*******************************
Dim pcStrPageName
pcStrPageName = "viewCategories.asp"

'*******************************
' START: Check store on/off, start PC session, check affiliate ID
'*******************************
%>
<!--#include file="pcStartSession.asp"-->
<%
'*******************************
' END: Check store on/off, start PC session, check affiliate ID
'*******************************

dim query, conntemp, rstemp
dim pTempIntSubCategory

pTempIntSubCategory=session("idCategoryRedirect")
if pTempIntSubCategory = "" then
	pTempIntSubCategory=getUserInput(request("idCategory"),10)
end if

'// Validate Category ID
	if not validNum(pTempIntSubCategory) then
		pTempIntSubCategory=""
	end if
intIdCategory=pTempIntSubCategory

'*******************************
' START Display Settings
'*******************************

pFeaturedCategory=0
pFeaturedCategoryImage=0

If validNum(pTempIntSubCategory) then
	call opendb()
	query="SELECT pcCats_SubCategoryView, pcCats_CategoryColumns, pcCats_CategoryRows, pcCats_PageStyle, pcCats_ProductColumns, pcCats_ProductRows, pcCats_FeaturedCategory, pcCats_FeaturedCategoryImage FROM categories WHERE (((idCategory)="&pTempIntSubCategory&"));"

	set rs=server.CreateObject("ADODB.RecordSet")
	set rs=conntemp.execute(query)
	
	Dim pIntSubCategoryView
	Dim pIntCategoryColumns
	Dim pIntCategoryRows
	Dim pIntProductColumns
	Dim pIntProductRows
	
	pIntSubCategoryView=rs("pcCats_SubCategoryView")
	pIntCategoryColumns=rs("pcCats_CategoryColumns")
	pIntCategoryRows=rs("pcCats_CategoryRows")
	pStrPageStyle=rs("pcCats_PageStyle")
	pIntProductColumns=rs("pcCats_ProductColumns")
	pIntProductRows=rs("pcCats_ProductRows")
	pFeaturedCategory=rs("pcCats_FeaturedCategory")
	pFeaturedCategoryImage=rs("pcCats_FeaturedCategoryImage")
	
	set rs=nothing
	call closedb()
End if
	
' START Load category-specific values. If empty, use storewide settings

' How sub-categories are displayed
'	1 = drop-down
'	2 = rich display (images, descriptions, etc.)
'	3 = simple display (list of category names)
if NOT validNum(pIntSubCategoryView) OR pIntSubCategoryView=3 then
	 pIntSubCategoryView=scCatImages
end if

' How many per row: number of columns
if NOT validNum(pIntCategoryColumns) OR pIntCategoryColumns=0 then
	pIntCategoryColumns=scCatRow
end if

' How many rows per page
if NOT validNum(pIntCategoryRows) OR pIntCategoryRows=0 then
	pIntCategoryRows=scCatRowsPerPage
end if

' How many products per row
if NOT validNum(pIntProductColumns) OR pIntProductColumns=0 then
	pIntProductColumns=scPrdRow
end if

' How many orws per page
if NOT validNum(pIntProductRows) OR pIntProductRows=0 then
	pIntProductRows=scPrdRowsPerPage
end if

' END Load category-specific values


' OVERRIDE page style: check to see if a querystring or a form is sending the page style.
Dim pcPageStyle
pcTempPageStyle=session("pcPageStyle")

pcPageStyle = LCase(getUserInput(Request("pageStyle"),1))

	if pcPageStyle = "" then
		pcPageStyle = pStrPageStyle
	end if
	
	if isNULL(pcPageStyle) OR trim(pcPageStyle) = "" then
		pcPageStyle = pcTempPageStyle
	end if
	
	if isNULL(pcPageStyle) OR trim(pcPageStyle) = "" then
		pcPageStyle = LCase(bType)
	end if
	
	if pcPageStyle <> "h" and pcPageStyle <> "l" and pcPageStyle <> "m" and pcPageStyle <> "p" then
		pcPageStyle = LCase(bType)
	end if
	session("pcPageStyle")=pcPageStyle

' OTHER display settings
' These variables show/hide information when products are shown with Page Style = L or M
Dim pShowSKU, pShowSmallImg
pShowSKU = scShowSKU ' If 0, then the SKU is hidden
pShowSmallImg = scShowSmallImg ' If 0, then the small image is not shown
' Note: the size of the small image is set via the pcStorefront.css stylesheet

'*******************************
' END Display Settings
'*******************************

'*******************************
'Wholesale-only categories
'*******************************
If Session("customerType")=1 Then
	pcv_strTemp=""
else
	pcv_strTemp=" AND pccats_RetailHide<>1 "
end if

if pFeaturedCategory<>0 then
	pcv_strTemp=pcv_strTemp&" AND idCategory<>"&pFeaturedCategory
end if

dim pIdCategory, pCategoryDesc
rMode=server.HTMLEncode(request.querystring("mode"))
if rMode="" then
	iPageSize=(pIntProductColumns*pIntProductRows)
	iCatPageSize=(pIntCategoryColumns*pIntCategoryRows)
	If Request("page")="" Then
		iPageCurrent=1
	Else
		iPageCurrent=CInt(Request("page"))
	End If
end if

pIdCategory=session("idCategoryRedirect")
mIdCategory=session("idCategoryRedirect")
if pIdCategory="" then
	pIdCategory=server.HTMLEncode(request.querystring("idCategory"))
	mIdCategory=server.HTMLEncode(request.querystring("idCategory"))
'// Validate Category ID
	if not validNum(pIdCategory) then
		pIdCategory=""          
	end if
	if not validNum(mIdCategory) then
		mIdCategory=""          
	end if

	if pIdCategory="" then
		pIdCategory=1
		mIdCategory=1
	end if
end if
session("idCategoryRedirect")=""

call openDb()

'*******************************
' get category tree array
'*******************************
if pIdCategory<>1 then %>
	<!--#include file="pcBreadCrumbs.asp"-->
<% end if

'*******************************
' End get category tree array
'*******************************

'*******************************
' Get sub-categories array
'*******************************
Dim intSubCatExist
Dim iCategoriesPageCount
intSubCatExist=0

IF pIdCategory=1 THEN
	scCatTotal=(pIntCategoryColumns*pIntCategoryRows)
		if pIntSubCategoryView="2" then
			scCatTotal=999999
		end if
	iCategoriesPageSize=scCatTotal

	Dim pcInt_CategoriesPage
	pcInt_CategoriesPage=getUserInput(request("CategoriesPage"),10)
	if not validNum(pcInt_CategoriesPage) then
		iCategoriesPageCurrent=1
	Else
		iCategoriesPageCurrent=Cint(pcInt_CategoriesPage)
	End If

	query = "SELECT idCategory,categoryDesc,[image],idParentCategory,SDesc,HideDesc FROM Categories WHERE idParentCategory=1 AND idCategory<>1 AND iBTOhide=0 " & pcv_strTemp & " ORDER BY priority, categoryDesc ASC;"
	SET rs=Server.CreateObject("ADODB.RecordSet")

	rs.PageSize=iCategoriesPageSize
	rs.CacheSize=iCategoriesPageSize
		
	rs.Open query, conntemp, adOpenStatic, adLockReadOnly, adCmdText
	
	'// Page Count
	iCategoriesPageCount=rs.PageCount
	If Cint(iCategoriesPageCurrent) > Cint(iCategoriesPageCount) Then iCategoriesPageCurrent=Cint(iCategoriesPageCount)
	If Cint(iCategoriesPageCurrent) < 1 Then iCategoriesPageCurrent=1
ELSE
	
	scCatTotal=(pIntCategoryColumns*pIntCategoryRows)
		if pIntSubCategoryView="2" then
			scCatTotal=999999
		end if
	iCategoriesPageSize=scCatTotal

	pcInt_CategoriesPage=getUserInput(request("CategoriesPage"),10)
	if not validNum(pcInt_CategoriesPage) then
		iCategoriesPageCurrent=1
	Else
		iCategoriesPageCurrent=Cint(pcInt_CategoriesPage)
	End If
	
	query = "SELECT idCategory, categoryDesc FROM Categories WHERE idParentCategory = " & pIdCategory & " AND idCategory<>1 AND iBTOhide=0 " & pcv_strTemp & " ORDER BY priority, categoryDesc ASC;"
	SET rs=Server.CreateObject("ADODB.RecordSet")

	rs.PageSize=iCategoriesPageSize
	rs.CacheSize=iCategoriesPageSize
		
	rs.Open query, conntemp, adOpenStatic, adLockReadOnly, adCmdText
	
	'// Page Count
	iCategoriesPageCount=rs.PageCount
	If Cint(iCategoriesPageCurrent) > Cint(iCategoriesPageCount) Then iCategoriesPageCurrent=Cint(iCategoriesPageCount)
	If Cint(iCategoriesPageCurrent) < 1 Then iCategoriesPageCurrent=1	
END IF

If NOT rs.EOF Then
	rs.AbsolutePage=iCategoriesPageCurrent
	intSubCatExist=1
	SubCatArray=rs.GetRows()
	intSubCatCount=ubound(SubCatArray,2)
End If

SET rs=nothing
'*******************************
' End get sub-categories array
'*******************************
%>

<!--#include file="header.asp"-->
<!--#include file="pcValidateQty.asp"-->
<!--#include file="inc_PrdCatTip.asp"-->
<div id="pcMain">
<table class="pcMainTable">
	<% if pIdCategory=1 then %>
	<tr>
		<td> 
			<h1><% response.write dictLanguage.Item(Session("language")&"_titles_9")%></h1>
		</td>
	</tr>
	<% else
		'*******************************
		' Show current category info
		'*******************************
		' Show BreadCrumbs - current category name and location - If subcategory z %>
		<tr>
			<td>
				<h1><%=pCategoryName%></h1>
				<div class="pcPageNav">
				<% 
				response.write dictLanguage.Item(Session("language")&"_viewCat_P_2")
				response.write strBreadCrumb
				intIdCategory=pIdCategory
				
				'// Load category discount icon
				%>
   			     <!--#Include File="pcShowCatDiscIcon.asp" -->
				</div>
			</td>
		</tr>
		<% ' End Show BreadCrumbs
	end if
	
	' Show large category image
	if pLargeImage<>"" then %>
		<tr>
			<td align="center">
				<img src="catalog/<%=pLargeImage%>" alt="<%=pCategoryName%>" vspace="5">
			</td>
		</tr>
 	<% end if
	' End show large category image
	
	' Start Show long category description
		if (LDesc<>"") and (HideDesc<>"1") then %>
		<tr>
			<td>
				<div class="pcPageDesc"><%=LDesc%></div>
			</td>
		</tr>
 	<% end if
	' End Show Categories Description
		
	'*******************************
	' Show subcategories, if any
	'*******************************
	if intSubCatExist=1 then %>
	<tr>
		<td>
		<% if pIdCategory<>1 then %>
			<h3><%=dictLanguage.Item(Session("language")&"_viewCategories_2")%>&quot;<%=pCategoryName%>&quot;</h3>
		<% end if %>
		<table class="pcShowContent">
			<% ' FIRST subcategory display option = Drop-down
			if pIntSubCategoryView="2" then %>
				<% if pFeaturedCategory<>0 then %>
						<!--#include file="pcShowCategoryFeatured.asp" -->
				<% end if %>
				<tr>
					<td>
					<p>
						<form class="pcForms">
						<% if trim(pCategoryName)<>"" then %>
							<%=dictLanguage.Item(Session("language")&"_viewCategories_3")%>&quot;<%=pCategoryName%>&quot;:&nbsp;
						<% else %>
							<%=dictLanguage.Item(Session("language")&"_viewCategories_6")%>
						<% end if %>
							<select onChange="window.location.href=this.options[selectedIndex].value" name="CatDropSelect">
								<option>Browse Subcategories</option>
								<% 	if pIdCategory=1 then
									pcv_mc=0 
									Do While (pcv_mc < iCategoriesPageSize) And (pcv_mc < (intSubCatCount+1))
										intIdCategory=SubCatArray(0,pcv_mc)
										strCategoryDesc=SubCatArray(1,pcv_mc)
										'// Call SEO Routine
										pcGenerateSeoLinks
										'//
										query="SELECT categories_products.idProduct FROM categories_products WHERE categories_products.idCategory = " & intIdCategory
										
										%>
										<option value="<%=pcStrCatLink%>"><%=strCategoryDesc%></option>
										<% 	pcv_mc=pcv_mc+1
									Loop
								else
									For pcv_mc=0 to intSubCatCount
									intIdCategory=SubCatArray(0,pcv_mc)
									strCategoryDesc=SubCatArray(1,pcv_mc)
									'// Call SEO Routine
									pcGenerateSeoLinks
									'//
									query="SELECT categories_products.idProduct FROM  categories_products WHERE categories_products.idCategory = " & intIdCategory
									
									%>
									<option value="<%=pcStrCatLink%>"><%=strCategoryDesc%></option>
								<% Next
							 End if %>
							</select>
						</form>
						</p>
					</td>
				</tr>
			<% end if 
			' SECOND & THIRD subcategory display options
			if pIntSubCategoryView<>"2" then
				if pFeaturedCategory<>0 then
				'// Call SEO Routine
				pcGenerateSeoLinks
				'//
			%>
					<!--#include file="pcShowCategoryFeatured.asp" -->
			<% end if %>
				
			<tr>
			<%
				iCurOGNum=0
				if pIdCategory=1 then
					pcv_mc=0 
					Do While pcv_mc < iCategoriesPageSize And pcv_mc<intSubCatCount+1
						intIdCategory=SubCatArray(0,pcv_mc)
						strCategoryDesc=SubCatArray(1,pcv_mc)
						' SECOND display option: rich display
						if pIntSubCategoryView="0" then
							if pIntCategoryColumns > 1 then %>
								<td> 
									<!--#include file="pcShowCategoryH.asp" -->
								</td>
							<% else %>
								<td> 
									<!--#include file="pcShowCategoryP.asp" -->
								</td>
							<% end if
						else
						'// Call SEO Routine
						pcGenerateSeoLinks
						'//
						%>
							<td>
								<a href="<%=pcStrCatLink%>"><%=strCategoryDesc%></a>
								<% '// Load category discount icon %>
								<!--#Include File="pcShowCatDiscIcon.asp" -->
							</td>
						<% end if
						iCurOGNum = iCurOGNum + 1
						pcv_mc=pcv_mc+1
						If ( iCurOGNum = pIntCategoryColumns ) Then
							iCurOGNum = 0
							Response.Write "</tr><tr>"
						End If
					Loop
				else
					pcv_mc=0 
					Do While pcv_mc < iCategoriesPageSize And pcv_mc<intSubCatCount+1
						intIdCategory=SubCatArray(0,pcv_mc)
						strCategoryDesc=SubCatArray(1,pcv_mc)
						' SECOND display option: rich display
						if pIntSubCategoryView="0" then
							if pIntCategoryColumns > 1 then %>
								<td> 
									<!--#include file="pcShowCategoryH.asp" -->
								</td>
							<% else %>
								<td> 
									<!--#include file="pcShowCategoryP.asp" -->
								</td>
							<% end if
						else 
						'// Call SEO Routine
						pcGenerateSeoLinks
						'//
						%>
							<td>
								<a href="<%=pcStrCatLink%>"><%=strCategoryDesc%></a>
								<% '// Load category discount icon %>
								<!--#Include File="pcShowCatDiscIcon.asp" -->
							</td>
						<% end if
						iCurOGNum = iCurOGNum + 1
						pcv_mc=pcv_mc+1
						If ( iCurOGNum = pIntCategoryColumns ) Then
							iCurOGNum = 0
							Response.Write "</tr><tr>"
						End If
					Loop
				end if
				response.Write "</tr>"
				%>
				<tr>
					<td><% call PageCategoriesNav(iCategoriesPageCount) %></td>
				</tr>
			<% End If %>
			</table>
		</td>
	</tr>
	<% End If
	'*******************************
	' END show subcategories
	'*******************************
		
	'*******************************
	' START show products
	'*******************************
	
	'Query order		
	query="Select POrder from categories_products where idCategory="& pIdCategory &";"
	set rs=Server.CreateObject("ADODB.Recordset")     
	set rs=connTemp.execute(query)
		if err.number<>0 then
			call LogErrorToDatabase()
			set rs=nothing
			call closedb()
			response.redirect "techErr.asp?err="&pcStrCustRefID
		end if
	UONum=0
	do while not rs.eof
		if rs("POrder")<>"" then
			UONum=UONum+Cint(rs("POrder"))
		end if
		rs.MoveNext
	loop
	SET rs=nothing
 	
	'Decide Order By
	ProdSort="" & getUserInput(request("prodsort"),4)
	if not isNumeric(ProdSort) then
		ProdSort=""
	end if
	if NOT ProdSort<>"" then
		if UONum>0 then
			ProdSort="19"
		else
			ProdSort="" & PCOrd
		end if
	end if
		
	if ProdSort="" then
		ProdSort="0"
	end if

	select case ProdSort
		Case "19": query1 = " ORDER BY categories_products.POrder Asc"
		Case "0": query1 = " ORDER BY products.SKU Asc"
		Case "1": query1 = " ORDER BY products.description Asc" 	
		Case "2": 
			If Session("customerType")=1 then
				query1 = " ORDER BY products.pcProd_BTODefaultWPrice DESC, products.btoBprice desc, products.pcProd_BTODefaultPrice DESC, products.price Desc"
			else
				query1 = " ORDER BY products.pcProd_BTODefaultPrice DESC, products.price Desc"
			End if 	
		Case "3":
			If Session("customerType")=1 then
				query1 = " ORDER BY products.pcProd_BTODefaultWPrice ASC, products.bToBprice Asc, products.pcProd_BTODefaultPrice ASC, products.price Asc" 	
			else
				query1 = " ORDER BY products.pcProd_BTODefaultPrice ASC, products.price Asc" 	
			end if 	
	end select
 	
	'Query Products of current category
	query="SELECT products.idProduct, products.sku, products.description, products.price, products.listhidden, products.listprice, products.serviceSpec, products.bToBPrice, products.smallImageUrl,products.noprices,products.sDesc,products.stock, products.noStock,products.pcprod_HideBTOPrice, POrder,products.FormQuantity,products.pcProd_BackOrder FROM products, categories_products WHERE products.idProduct=categories_products.idProduct AND categories_products.idCategory="& mIdCategory&" AND active=-1 AND configOnly=0 and removed=0 " & query1
	set rs=Server.CreateObject("ADODB.Recordset")     
	 
	rs.CacheSize=iPageSize
	rs.PageSize=iPageSize
			
	rs.Open query, Conntemp, adOpenStatic, adLockReadOnly, adCmdText
	' Create additional recordset for M display
	if pcPageStyle = "m" then
		set rsCount=server.CreateObject("ADODB.Recordset")
		set rsCount=conntemp.execute(query)
	end if

	if err.number<>0 then
		call LogErrorToDatabase()
		set rs=nothing
		call closedb()
		response.redirect "techErr.asp?err="&pcStrCustRefID
	end if

	'*******************************
	' Set variables for "M" display
	'*******************************
	if pcPageStyle = "m" then
		'Check if customers are allowed to order products
		dim iShow
		iShow=0
		If scOrderlevel=0 then
			iShow=1
		end if
		If scOrderlevel=1 AND session("customerType")="1" then
			iShow=1
		End if
		
		Dim pCnt,pAddtoCart,pAllCnt
		'reset count variables
		pCnt=Cint(0)
		pAllCnt=Cint(0)

		'Run through the products to count all products, products with options, and BTO products
		do while not rsCount.eof and count < rs.PageSize
			pCnt=pCnt+1
			
			pidrelation=rsCount("idProduct")
			pserviceSpec=rsCount("serviceSpec")		
			pStock=rsCount("stock")
			pNoStock=rsCount("noStock")
			pcv_intBackOrder=rsCount("pcProd_BackOrder")
			
			' Check which items will have multi qty enabled,
			pcv_SkipCheckMinQty=-1 
			If pcf_AddToCart(pidrelation)=False Then
				pAllCnt=pAllCnt+1
			End If
			
			rsCount.moveNext
		loop
		set rsCount = nothing
		
		pcv_SkipCheckMinQty=0
			
		' If all items on the page are either BTO or have options,
		' do not show the quantity column or the Add to Cart button.						
		if cint(pAllCnt) <> cint(pCnt) then 
			pAddtoCart = 1
		end if
	end if

	dim iPageCount
	iPageCount=rs.PageCount
	If Cint(iPageCurrent) > Cint(iPageCount) Then iPageCurrent=Cint(iPageCount)
	If Cint(iPageCurrent) < 1 Then iPageCurrent=1
	if NOT rs.eof then
		rs.AbsolutePage=Cint(iPageCurrent)
	end if
	
	if rs.eof then ' If there are no products in this category and there are no subcategories, show message
		if intSubCatExist <> 1 then %>
		<tr>
			<td>
				<p><%=dictLanguage.Item(Session("language")&"_viewCat_P_4")%></p>
			</td>
		</tr>
	<% end if
	else
				if intSubCatExist = 1 then
			' If there are products AND subcategories, then products are considered
			' "featured" products within the category and are shown above the subcategories
		 %>
		 		<tr>
					<td><hr></td>
				</tr>
				<tr>
					<td>
						<% if pIdCategory<>1 then %>
						<h3><%=dictLanguage.Item(Session("language")&"_viewCategories_1")%>&quot;<%=pCategoryName%>&quot;</h3>
						<% else %>
						<h3><%=dictLanguage.Item(Session("language")&"_viewCategories_1b")%></h3>
						<% end if %>
					</td>
				</tr>
		<%	end if ' The category contains products, but not subcategories
	
		'if SORT BY drop-down does not exist, show page nav still %>
		<tr>
			<td>
				<table style="width:100%; margin:0; padding:0; border-collapse:collapse;">
					<tr>	
						<td align="left" valign="top">
							<% call PageNav(iPagecount)%>
						</td>
						<%
						'=================================
						'show SORT BY drop-down
						'=================================
						if HideSortPro<>"1" then %>
							<td align="right" valign="middle" style="padding-left: 10px;">
								<form action="viewCategories.asp?pageStyle=<%=pcPageStyle%>&idcategory=<%=pidcategory%>" method="post" class="pcForms">
									<%=dictLanguage.Item(Session("language")&"_viewCatOrder_5")%>
									<select name="prodSort" onChange="javascript:if (this.value != '') {this.form.submit();}">
									<%if UONum>0 then%>            
										<option value="19" <%if ProdSort="19" then%>selected<%end if%>><%=dictLanguage.Item(Session("language")&"_viewCatOrder_6")%></option>
									<%end if%>                        
										<option value="0" <%if ProdSort="0" then%>selected<%end if%>><%=dictLanguage.Item(Session("language")&"_viewCatOrder_1")%></option>
										<option value="1" <%if ProdSort="1" then%>selected<%end if%>><%=dictLanguage.Item(Session("language")&"_viewCatOrder_2")%></option>
										<option value="2" <%if ProdSort="2" then%>selected<%end if%>><%=dictLanguage.Item(Session("language")&"_viewCatOrder_3")%></option>
										<option value="3" <%if ProdSort="3" then%>selected<%end if%>><%=dictLanguage.Item(Session("language")&"_viewCatOrder_4")%></option>
									</select>
								</form>
							</td>
						<% end if 
						'=================================
						'end SORT BY drop-down
						'=================================
						%>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td>
				<% if pcPageStyle = "m" then %>
					<form action="instPrd.asp" method="post" name="m" id="m" class="pcForms">
				<% end if %>
				<table class="pcShowProducts">
					<% i=0
					'*******************************
					' Add table headers for display
					' styles L and M
					'*******************************
					%>
					<% if pcPageStyle = "l" then	%>
						<tr class="pcShowProductsLheader">
							<% if pShowSmallImg <> 0 then %>
								<td>&nbsp;</td>
							<% end if %>
							<td width="70%"><% response.write dictLanguage.Item(Session("language")&"_viewCat_P_9") %></td>
							<% if pShowSku <> 0 then %>
								<td><% response.write dictLanguage.Item(Session("language")&"_viewCat_P_8") %></td>
							<% end if %>
							<td width="15%"><% response.write dictLanguage.Item(Session("language")&"_viewCat_P_10") %></td>
						</tr>
					<% elseif pcPageStyle = "m" then %>
						<tr class="pcShowProductsMheader">
							<td colspan="<%if iShow=1 then%>5<%else%>4<%end if%>">
								<% response.write dictLanguage.Item(Session("language")&"_viewCat_P_12") %>
							</td>
						</tr>
						<tr>
						<tr class="pcShowProductsMheader">
							<% if iShow=1 then %> 
								<% if pAddtoCart = 1 then %>
									<td>
										<% response.write dictLanguage.Item(Session("language")&"_viewCat_P_7") %>
									</td>
								<% end if %>
							<% end if %>
							<% if pShowSmallImg <> 0 then %>
								<td>&nbsp;</td>
							<% end if %>
							<% if pShowSku <> 0 then %>
							<td>
								<% response.write dictLanguage.Item(Session("language")&"_viewCat_P_8") %>
							</td>
							<% end if %>
							<td width="70%">
								<% response.write dictLanguage.Item(Session("language")&"_viewCat_P_9") %>
							</td>
							<td width="15%" align="center">
								<% If session("customerType")="1" then
									response.write dictLanguage.Item(Session("language")&"_viewCat_P_11")
								 else
									response.write dictLanguage.Item(Session("language")&"_viewCat_P_10")
								end if %>
							</td>
						</tr>
					<% else %>
						<tr>
					<% end if
					'*******************************
					' End table headers

					if pcPageStyle = "m" then
						pCnt=0
						pSQty=0
						pAllCnt=Cint(0)
					end if

					do while not rs.eof and count < rs.pageSize
						if pcPageStyle = "m" then
							pCnt=pCnt+1
						end if
								
						pidProduct=rs("idProduct")
						pSku=rs("sku")
						pDescription=rs("description")   
						pPrice=rs("price")
						pListPrice=rs("listprice")
						pListHidden=rs("listhidden")   
						pserviceSpec=rs("serviceSpec")
						pBtoBPrice=rs("bToBPrice")   
						pSmallImageUrl=rs("smallImageUrl")   
						pnoprices=rs("noprices")
						if isNULL(pnoprices) OR pnoprices="" then
							pnoprices=0
						end if
						psDesc=rs("sDesc")
						pStock=rs("stock")
						pNoStock=rs("noStock")
						pcv_intHideBTOPrice=rs("pcprod_HideBTOPrice")
						if isNULL(pcv_intHideBTOPrice) OR pcv_intHideBTOPrice="" then
							pcv_intHideBTOPrice="0"
						end if
						if pnoprices=2 then
							pcv_intHideBTOPrice=1
						end if
						pcv_intBackOrder=rs("pcProd_BackOrder")
						pidrelation=rs("idProduct")
						'// CHECK FOR OPTIONS							
						pcv_intOptionsExist=pcf_CheckForOptions(pidrelation) '// check options function (1=YES, 2=NO)
						'response.write pidrelation
						pFormQuantity=rs("FormQuantity")
						
						%>
						<!--#include file="pcGetPrdPrices.asp"-->
						<%   
						
						if pnoprices=0 then				
							' check for discount per quantity
							query="SELECT idDiscountperquantity FROM discountsperquantity WHERE idproduct=" &pidProduct
							if session("CustomerType")<>"1" then
								query=query & " and discountPerUnit<>0"
							else
								query=query & " and discountPerWUnit<>0"
							end if
							Dim rsDisc
							set rsDisc=Server.CreateObject("ADODB.Recordset")
							set rsDisc=conntemp.execute(query)
								if err.number<>0 then
									call LogErrorToDatabase()
									set rsDisc=nothing
									call closedb()
									response.redirect "techErr.asp?err="&pcStrCustRefID
								end if
							
							Dim pDiscountPerQuantity
							if not rsDisc.eof then
								pDiscountPerQuantity=-1
							else
								pDiscountPerQuantity=0
							end if
							set rsDisc = nothing
						end if %>
						<!-- Product View -->
						<% '*******************************
						' Show product information
						' depending on the page style
						'*******************************
							
						' FIRST STYLE - Show products horizontally, with images
							if pcPageStyle = "h" then %>
								<td> 
									<!--#include file="pcShowProductH.asp" -->
								</td>
								<% i=i + 1
								If i > (pIntProductColumns-1) then 
									response.write "</TR><TR>"
									i=0
								End If
							end if
					
							' SECOND STYLE - Show products vertically, with images 
							if pcPageStyle = "p" then	%>
								<td> 
									<!--#include file="pcShowProductP.asp" -->
								</td>
							</tr>
							<% end if
					
							' THIRD STYLE - Show a list of products, with a small image 
							if pcPageStyle = "l" then	%>
									<!--#include file="pcShowProductL.asp" -->
							<% end if
							
							' FOURTH STYLE - Show a list of products, with multiple add to cart 
							if pcPageStyle = "m" then	%>
									<!--#include file="pcShowProductM.asp" -->
							<% end if %>
							<!-- End Product View -->
							<% count=count + 1  
							rs.moveNext
						loop
						SET rs=nothing
						call closeDb() %>
						</td>
					</tr>
				</table>
				<%' If page style is M, show the Add to Cart button when
				' products can be added to the cart from this page.	
				if pcPageStyle = "m" then %>
					<input type="hidden" name="pCnt" value="<%=pCnt%>">
					<% if iShow=1 and clng(pSQty)<>0 then %>
							<div style="padding: 10px 0 10px 0;">
								<input name="submit" type="image" src="<%=rslayout("addtocart")%>" id="submit">
							</div>
					<% end if %>
					</form>
				<% end if %>
			</td>
		</tr>
	<% end if %>
	<tr>
		<td><% call PageNav(iPagecount) %></td>
	</tr>
</table>
</div>
<% 
'====================
' Page Navigation
'==================== 
Sub PageNav(thepagecount)
	iRecSize=10
	If thepagecount>1 then %>
		<div class="pcPageNav">
		<%response.write(dictLanguage.Item(Session("language")&"_advSrcb_4") & iPageCurrent & dictLanguage.Item(Session("language")&"_advSrcb_5") & thepagecount)%>
		&nbsp;-&nbsp;
        <% if thepagecount>iRecSize then %>
			<% if cint(iPageCurrent)>iRecSize then %>
                <a rel="nofollow" href="viewCategories.asp?pageStyle=<%=pcPageStyle%>&ProdSort=<%=ProdSort%>&page=1&idCategory=<%=mIdCategory%>">First</a>&nbsp;
            <% end if %>
			<% if cint(iPageCurrent)>1 then
                if cint(iPageCurrent)<iRecSize AND cint(iPageCurrent)<iRecSize then
                    iPagePrev=cint(iPageCurrent)-1
                else
                    iPagePrev=iRecSize
                end if %>
                <a rel="nofollow" href="viewCategories.asp?pageStyle=<%=pcPageStyle%>&ProdSort=<%=ProdSort%>&page=<%=cint(iPageCurrent)-iPagePrev%>&idCategory=<%=mIdCategory%>">Previous <%=iPagePrev%> Pages</a>
			<% end if %>
			<% if cint(iPageCurrent)+1>1 then
                intPageNumber=cint(iPageCurrent)
            else
                intPageNumber=1
            end if
        else
			intPageNumber=1
		end if
		
		if (cint(thepagecount)-cint(iPageCurrent))<iRecSize then
			iPageNext=cint(thepagecount)-cint(iPageCurrent)
		else
			iPageNext=iRecSize
		end if
	
		For pageNumber=intPageNumber To (cint(iPageCurrent) + (iPageNext))
			If Cint(pageNumber)=Cint(iPageCurrent) Then %>
				<strong><%=pageNumber%></strong> 
			<% Else %>
				<a rel="nofollow" href="viewCategories.asp?pageStyle=<%=pcPageStyle%>&ProdSort=<%=ProdSort%>&page=<%=pageNumber%>&idCategory=<%=mIdCategory%>"><%=pageNumber%></a>
			<% End If 
		Next
		
		if (cint(iPageNext)+cint(iPageCurrent))=thepagecount then
		else
			if thepagecount>(cint(iPageCurrent) + (iRecSize-1)) then %>
				<a rel="nofollow" href="viewCategories.asp?pageStyle=<%=pcPageStyle%>&ProdSort=<%=ProdSort%>&page=<%=cint(intPageNumber)+iPageNext%>&idCategory=<%=mIdCategory%>">Next <%=iPageNext%> Pages</a>
			<% end if
		
			if cint(thepagecount)>iRecSize AND (cint(iPageCurrent)<>cint(thepagecount)) then %>
				&nbsp;<a rel="nofollow" href="viewCategories.asp?pageStyle=<%=pcPageStyle%>&ProdSort=<%=ProdSort%>&page=<%=cint(thepagecount)%>&idCategory=<%=mIdCategory%>">Last</a>
			<% end if 
		end if %>
		</div>
	<% end if
end Sub

Sub PageCategoriesNav(thepagecount)
	iRecSize=10
	If thepagecount>1 then %>
		<div class="pcPageNav">
		<%response.write(dictLanguage.Item(Session("language")&"_advSrcb_4") & iCategoriesPageCurrent & dictLanguage.Item(Session("language")&"_advSrcb_5") & thepagecount)%>
		&nbsp;-&nbsp;
        <% if thepagecount>iRecSize then %>
			<% if cint(iCategoriesPageCurrent)>iRecSize then %>
                <a rel="nofollow" href="viewCategories.asp?pageStyle=<%=pcPageStyle%>&ProdSort=<%=ProdSort%>&page=1&idCategory=<%=mIdCategory%>">First</a>&nbsp;
            <% end if %>
            <% if cint(iCategoriesPageCurrent)>1 then
                if cint(iCategoriesPageCurrent)<iRecSize AND cint(iCategoriesPageCurrent)<iRecSize then
                    iPagePrev=cint(iCategoriesPageCurrent)-1
                else
                    iPagePrev=iRecSize
                end if %>
                <a rel="nofollow" href="viewCategories.asp?pageStyle=<%=pcPageStyle%>&ProdSort=<%=ProdSort%>&CategoriesPage=<%=cint(iCategoriesPageCurrent)-iPagePrev%>&idCategory=<%=mIdCategory%>">Previous <%=iPagePrev%> Pages</a>
            <% end if
			if cint(iCategoriesPageCurrent)+1>1 then
				intPageNumber=cint(iCategoriesPageCurrent)
			else
				intPageNumber=1
			end if
		else
			intPageNumber=1
		end if
		if (cint(thepagecount)-cint(iCategoriesPageCurrent))<iRecSize then
			iPageNext=cint(thepagecount)-cint(iCategoriesPageCurrent)
		else
			iPageNext=iRecSize
		end if
	
		For pageNumber=intPageNumber To (cint(iCategoriesPageCurrent) + (iPageNext))
			If Cint(pageNumber)=Cint(iCategoriesPageCurrent) Then %>
				<strong><%=pageNumber%></strong> 
			<% Else %>
				<a rel="nofollow" href="viewCategories.asp?pageStyle=<%=pcPageStyle%>&ProdSort=<%=ProdSort%>&CategoriesPage=<%=pageNumber%>&idCategory=<%=mIdCategory%>"><%=pageNumber%></a>
			<% End If 
		Next
		
		if (cint(iPageNext)+cint(iCategoriesPageCurrent))=thepagecount then
		else
			if thepagecount>(cint(iCategoriesPageCurrent) + (iRecSize-1)) then %>
				<a rel="nofollow" href="viewCategories.asp?pageStyle=<%=pcPageStyle%>&ProdSort=<%=ProdSort%>&CategoriesPage=<%=cint(intPageNumber)+iPageNext%>&idCategory=<%=mIdCategory%>">Next <%=iPageNext%> Pages</a>
			<% end if
		
			if cint(thepagecount)>iRecSize AND (cint(iCategoriesPageCurrent)<>cint(thepagecount)) then %>
				&nbsp;<a rel="nofollow" href="viewCategories.asp?pageStyle=<%=pcPageStyle%>&ProdSort=<%=ProdSort%>&CategoriesPage=<%=cint(thepagecount)%>&idCategory=<%=mIdCategory%>">Last</a>
			<% end if 
		end if %>
		</div>
	<% end if
end Sub

'====================
' END Page Navigation
'==================== 
%><!--#include file="footer.asp"-->